com.smartxls

## Class TextboxShape

- java.lang.Object
- - com.smartxls.TextboxShape

-     public class TextboxShape
      extends java.lang.Object

  represent textbox shape object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthor()` Comment's author.
    `short` | `getCol()` Column of the commented cell.
    `short` | `getRow()` Row of the commented cell.
    `java.lang.String` | `getText()` Comment text.
    `void` | `setAuthor(java.lang.String author)` set author of the comment
    `void` | `setCol(short col)` set column of the commented cell.
    `void` | `seText(java.lang.String text)` set the text content of the comment
    `void` | `setRow(short row)` set row of the commented cell

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRow

          public short getRow()

      Row of the commented cell.
      Returns:
        row num

    - #### setRow

          public void setRow(short row)

      set row of the commented cell
      Parameters:
        `row` - row index

    - #### getCol

          public short getCol()

      Column of the commented cell.
      Returns:
        column

    - #### setCol

          public void setCol(short col)

      set column of the commented cell.
      Parameters:
        `col` - col index

    - #### getAuthor

          public java.lang.String getAuthor()

      Comment's author.
      Returns:
        Comment's author.

    - #### setAuthor

          public void setAuthor(java.lang.String author)

      set author of the comment
      Parameters:
        `author` - comment author

    - #### getText

          public java.lang.String getText()

      Comment text.
      Returns:
        Comment text.

    - #### seText

          public void seText(java.lang.String text)

      set the text content of the comment
      Parameters:
        `text` - comment content.